%define intver 30
%define reldate 20101110

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		tbb
#Epoch:		0
Version:	3.0
Release:	2
License:	GNU/GPLv2 with Runtime exception
URL:		http://www.threadingbuildingblocks.org/
Group:		System/Libraries
Summary:	Intel threading building blocks library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}%{intver}_%{reldate}oss_src.tgz

# Patches:
# fix illegal hardware instruction on CPUs not supporting SSE2
# http://www.threadingbuildingblocks.org/bug_desc.php?id=171
Patch0:		tbb-3.0-mfence.patch
# honor our distribution default CXXFLAGS
Patch1:		tbb-3.0-20100406-cxxflags.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
Intel® Threading Building Blocks (TBB) offers a rich and complete approach to expressing parallelism in a C++ program. It is a library that helps you take advantage of multi-core processor performance without having to be a threading expert. Threading Building Blocks is not just a threads-replacement library. It represents a higher-level, task-based parallelism that abstracts platform details and threading mechanisms for scalability and performance. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}%{intver}_%{reldate}oss
#%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

cd build/*_release
for file in libtbb{,malloc}; do
       install $file.so.2 $RPM_BUILD_ROOT%{_libdir}/$file.so.2.%{version}
       ln -s $file.so.2.%{version} $RPM_BUILD_ROOT%{_libdir}/$file.so
       ln -s $file.so.2.%{version} $RPM_BUILD_ROOT%{_libdir}/$file.so.2
done
cd -

cd include
find tbb -type f -name '*.h' -exec \
       install -p -D -m 644 {} $RPM_BUILD_ROOT%{_includedir}/{} ';'



# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libtbb.so.*
%{_libdir}/libtbbmalloc.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tbb
%{_libdir}/libtbb.so
%{_libdir}/libtbbmalloc.so

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 16 2010 Karsten Brockmann <arcam@ccux-linux.de>  3.0-2
- update to 20101110 release
* Fri Jul 02 2010 Karsten Brockmann <arcam@ccux-linux.de>  3.0-1
- initial CCux package release
